Skip to main content
PATCH
Update service's details (Deprecated)

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

clientId
integer
required

Account ID.

serviceId
integer
required

Service's ID.

Body

application/json
name
enum<string>
required

Service's name.

Available options:
CDN,
STORAGE,
STREAMING,
DNS,
DDOS,
CLOUD
status
enum<string>
required

Status of the service.

Available options:
new,
trial,
trialend,
active,
paused,
activating,
deleted
Example:

"paused"

previous_status
enum<string>
required

Status of the service.

Available options:
new,
trial,
trialend,
active,
paused,
activating,
deleted
Example:

"active"

enabled
boolean
required

Shows if a service is enabled or disabled.

options
object[]
required

List of service options.

status_transition_options
object[]
required

List of status transition options.

Response

OK.

id
integer
required
read-only

Service's ID.

name
enum<string>
required

Service's name.

Available options:
CDN,
STORAGE,
STREAMING,
DNS,
DDOS,
CLOUD
client
integer
required
read-only

Client's ID.

status
enum<string>
required

Status of the service.

Available options:
new,
trial,
trialend,
active,
paused,
activating,
deleted
Example:

"paused"

previous_status
enum<string>
required

Status of the service.

Available options:
new,
trial,
trialend,
active,
paused,
activating,
deleted
Example:

"active"

status_changed_at
string<date-time>
required
read-only

When status was changed.

start
string<date-time>
required
read-only

Trial start date.

enabled
boolean
required

Shows if a service is enabled or disabled.

options
object[]
required

List of service options.

status_transition_options
object[]
required

List of status transition options.

deleted_date
string<date-time> | null
read-only

Date and time when service's status will be changed to deleted.

Applicable only if current service's status is trialend or paused.